#
# University of Surrey SSTL LEqO proposal
# http://www.ee.surrey.ac.uk/CSER/UOSAT/papers/iaf96/leqo/leqo.html
#
# this script for SaVi 1.2, by Lloyd Wood (L.Wood@surrey.ac.uk)
# http://www.ee.surrey.ac.uk/Personal/L.Wood/constellations/
#
# $Id: leqo.tcl,v 1.2 2003/01/03 04:50:53 lloyd Exp $

set NUM_SATS 8

# setup orbital elements
set a [expr 968.2+$RADIUS_OF_EARTH]
set e 0.0
set inc 0.0
set omega 0.0
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

# Elevation angle of five degrees for mobile users.
upvar #0 coverage_angle angle
set angle 5

satellites GV_BEGIN

set T [expr $T_per ]
for {set j 0} {$j < $NUM_SATS} {incr j} {
	set Omega [expr $j * 360.0 / $NUM_SATS]
	satellites LOAD $a $e $inc $Omega $omega $T
}
satellites GV_END
