#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@alum.mit.edu).
#
#  Copyright (c) 1997 by The Geometry Center.
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained by emailing savi@geom.umn.edu.
#
######################################################
#
# save.tcl
#
# $Id: save.tcl,v 1.1.1.1 2002/12/27 19:53:06 lloyd Exp $

proc save(build) {} {
    global Save last_filename

    set types {
        {"SaVi simulation scripts"  {.tcl} }
    }

    set filename [tk_getSaveFile -filetypes $types \
	          -title "SaVi: save satellites" ]

    if {$filename == ""} return

    # open file
    set f [open $filename w]
    if {$f == ""} return

    # put a wrapper around satellite creation
    puts $f "satellites GV_BEGIN"

    # write satellites
    set n [.main.cmd.lb size]
    for {set i 0} {$i < $n} {incr i} {
	set noe [satellites GET $i]
	puts -nonewline $f "satellites LOAD "
	puts $f $noe
    }

    # close file
    puts $f "satellites GV_END"
    close $f

    set last_filename $filename
}
